#!/usr/bin/perl

require "include/constants.pl";
require "config.pl";
require "include/helper.pl";
require "include/interface.pl";
require "include/html.pl";

use File::Copy;

print ">>> Perl Buggy v".$VERSION."\n";
print ">>> Copyright (c) 2009 by Dominik George\n\n";

# Load data
our $trackables_data = {};

foreach (@trackables) {
 my $refnum = $_;
 print "Fetching data for ".$refnum." ...\n";
 my $trackable = fetchByRef($refnum);
 $trackables_data->{$refnum} = $trackable;
}

# Output HTML
mkdir($outdir, 0755);
foreach (@tables) {
 print "Writing HTML table for ".$_." ...\n";
 output_html_table($_);
}

foreach (@pages) {
 print "Writing HTML page for ".$_." ...\n";
 output_html_page($_);
}

# Copy additional files
foreach (@files) {
 copy("files/".$_, $outdir);
}

#print Dumper $trackables_data;

exit 0;
